#!/usr/bin/python3
# -*- coding: utf-8 -*-

import os
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

class DeleteSplashWindow(Gtk.Window):

    def __init__(self):
        Gtk.Window.__init__(self, title="Delete GIMP Splashes")
        self.set_position(Gtk.WindowPosition.CENTER)
        self.set_border_width(10)
        self.set_default_size(400, 10)
        self.set_icon_from_file('/usr/share/icons/hicolor/48x48/apps/gimpsplasher.png')
        # Create the delete button
        self.delete_button = Gtk.Button(label="Delete Splashes")
        self.delete_button.connect("clicked", self.on_delete_button_clicked)
        self.add(self.delete_button)

    def on_delete_button_clicked(self, widget):
        splash_path_210 = os.path.expanduser("~/.config/GIMP/2.10/splashes")
        splash_path_300 = os.path.expanduser("~/.config/GIMP/3.0/splashes")
        if os.path.exists(splash_path_210) or os.path.exists(splash_path_300):
            dialog = Gtk.MessageDialog(parent=self, flags=0, message_type=Gtk.MessageType.WARNING,
                                       buttons=Gtk.ButtonsType.OK_CANCEL, text="Are you sure you want to delete the splashes?")
            response = dialog.run()
            if response == Gtk.ResponseType.OK:
                if os.path.exists(splash_path_210):
                    os.system("rm -rf " + splash_path_210)
                if os.path.exists(splash_path_300):
                    os.system("rm -rf " + splash_path_300)
                dialog.destroy()
                success_dialog = Gtk.MessageDialog(parent=self, flags=0, message_type=Gtk.MessageType.INFO,
                                                   buttons=Gtk.ButtonsType.OK, text="Splashes successfully deleted.")
                success_dialog.run()
                success_dialog.destroy()
                self.destroy()
            else:
                dialog.destroy() # Close the dialog if "Cancel" button is pressed
                self.destroy() # Close the main dialog as well
        else:
            error_dialog = Gtk.MessageDialog(parent=self, flags=0, message_type=Gtk.MessageType.ERROR,
                                             buttons=Gtk.ButtonsType.OK, text="Splashes not found.")
            error_dialog.connect("response", self.on_error_dialog_response)
            error_dialog.run()

    def on_error_dialog_response(self, dialog, response_id):
        dialog.destroy()
        self.destroy()

win = DeleteSplashWindow()
win.connect("destroy", Gtk.main_quit)
win.show_all()
Gtk.main()
